%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:           arquillian-core
Version:        1.0.3
Release:        %mkrel 1
Summary:        Arquillian is a revolutionary testing platform built on the JVM
License:        ASL 2.0
Group:          Development/Java
URL:            http://www.jboss.org/arquillian
Source0:        https://github.com/arquillian/arquillian-core/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    jboss-parent
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-source-plugin
BuildRequires:    maven-enforcer-plugin

BuildRequires:    apiviz
BuildRequires:    junit4

BuildRequires:    shrinkwrap
BuildRequires:    shrinkwrap-descriptors
BuildRequires:    shrinkwrap-resolver
BuildRequires:    cdi-api
BuildRequires:    weld-core
BuildRequires:    weld-parent
BuildRequires:    slf4j
BuildRequires:    testng
BuildRequires:    geronimo-ejb
BuildRequires:    geronimo-annotation
BuildRequires:    jboss-el-2.2-api
BuildRequires:    mockito
BuildRequires:    jboss-logging
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-servlet-3.0-api

%description
Arquillian is a revolutionary testing platform built on the JVM that
substantially reduces the effort required to write and execute Java 
middleware integration and functional tests. No more mocks. 
No more container lifecycle and deployment hassles. Just real tests!

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q  -n %{name}-%{namedversion}

# Unsupported TestNG version
rm testng/core/src/test/java/org/jboss/arquillian/testng/*.java

%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin build/pom.xml

%build
export MAVEN_OPTS="-Xms256m -Xmx768m -XX:PermSize=128m -XX:MaxPermSize=256m"
# JUnit test failures
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc license.txt apl.txt readme.txt

%files javadoc -f .mfiles-javadoc
%doc license.txt apl.txt



%changelog
* Sun Sep 29 2013 dmorgan <dmorgan> 1.0.3-1.mga4
+ Revision: 489023
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 346096
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 1.0.2-1.mga3
+ Revision: 331667
- New version

  + gil <gil>
    - imported package arquillian-core

